ion-row {
  padding-top: 0;
}

ion-grid {
  margin-bottom: 200px !important;
  padding-top: 20px;
}

h3 {
  margin: 0px;
}

.isIcon {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0px;
  width: 50px;
  height: 50px;
  line-height: 50px;
  font-size: 32px;
  color: var(--ion-color-medium);
}

.vertical-line {
  background-color: var(--ion-color-medium);
  height: 50px;
  width: 2px;
}
.vertical-line-container {
  display: flex;
  justify-content: center;
  padding: 5px;
}

.isIconChecked {
  border: 2px solid var(--ion-color-primary);
  border-radius: 50px;
  color: var(--ion-color-primary);
}

.isVerticalChecked {
  background-color: var(--ion-color-primary);
}

.isTextChecked {
  color: var(--ion-color-primary);
}

ion-text {
  color: var(--ion-color-medium);
}

.isTextCurrent {
  color: var(--ion-color-tertiary);
  animation: iconCurrent 0.5s step-end;
}

.isIconCurrent {
  color: var(--ion-color-tertiary);
  border: 2px solid var(--ion-color-tertiary);
  border-radius: 50px;
  animation: iconCurrent 0.5s step-end;
}

.isVerticalCurrent {
  background-color: var(--ion-color-tertiary);
  animation: verticalCurrent 2s 1s infinite ease-in-out;
}

.isTextLast {
  color: var(--ion-color-primary);
}

.isIconLast {
  border: 2px solid var(--ion-color-primary);
  border-radius: 50px;
  color: var(--ion-color-primary);
  animation: iconCurrent 0.5s step-end;
}

@keyframes verticalCurrent {
  0% {
    opacity: 1;
  }
  25% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  75% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes iconCurrent {
  0% {
    border-color: var(--ion-color-tertiary);
  }
  25% {
    border-color: transparent;
  }
  50% {
    border-color: var(--ion-color-tertiary);
  }
  75% {
    border-color: transparent;
  }
  100% {
    border-color: var(--ion-color-tertiary);
  }
}

h6 {
  display: flex;
  align-items: center;
  line-height: 30px;
  margin: 0px;
}
